%{?!python:%define python python}
%{?!pybasever:%{expand:%%define pybasever %(%{__python} -c "import sys ; print sys.version[:3]")}}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define origname TwistedWeb

Name:           %{python}-twisted-web
Version:        0.6.0
Release:        3%{?dist}
Summary:        Twisted web server, programmable in Python

Group:          Development/Libraries
License:        MIT
URL:            http://www.twistedmatrix.com
Source0:        http://tmrc.mit.edu/mirror/twisted/Web/0.6/TwistedWeb-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  %{python}-twisted-core

# for FC3 and earlier
%if "%{pybasever}" < "2.4"
Requires:       python(abi) = %{pybasever}
%endif

Requires:       %{python}-twisted-core
Requires:       SOAPpy

# a noarch-turned-arch package should not have debuginfo
%define debug_package %{nil}

%description
Twisted is an event-based framework for internet applications.

Twisted Web is a complete web server, aimed at hosting web
applications using Twisted and Python, but fully able to serve static
pages, also.

%prep
%setup -n %{origname}-%{version} -q

%{__sed} -i -e '/^#! *\/usr\/bin\/python/d' twisted/web/test/test_cgi.py
%{__sed} -i -e '/^#! *\/usr\/bin\/python/d' twisted/web/test/test_distrib.py

%build

%install
rm -rf $RPM_BUILD_ROOT
# this is a pure python package, but extending the twisted namespace from
# python-twisted-core, which is arch-specific, so it needs to go in sitearch
%{__python} setup.py install -O1 --root $RPM_BUILD_ROOT --install-purelib %{python_sitearch}

# Man pages
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1/
cp -a doc/man/*.1 $RPM_BUILD_ROOT%{_mandir}/man1/
rm -rf doc/man

%clean
rm -rf $RPM_BUILD_ROOT

%post -p %{_libexecdir}/twisted-dropin-cache

%postun -p %{_libexecdir}/twisted-dropin-cache

%files
%defattr(-,root,root,-)
%doc README doc/*
%{_mandir}/man1/*
%{_bindir}/websetroot

%{python_sitearch}/twisted/web/

%{python_sitearch}/twisted/plugins/twisted_web.py*

%changelog
* Wed Nov 01 2006 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.6.0-3
- remove shebang lines from unit test files

* Tue Sep 26 2006 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.6.0-2
- no longer ghost .pyo files
- rebuild dropin.cache

* Wed Jun 07 2006 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.6.0-1
- update to new release
- remove NoArch
- change dep to SOAPpy as it is called in extras

* Tue Aug 23 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.5.0-2
- disttag

* Wed Mar 16 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.5.0-0.1.a3
- upstream release

* Sat Mar 12 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.5.0-0.1.a2
- prerelease; FE versioning

* Mon Feb 07 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.1.0-1
- prep for split

